# WOK
TKWOK
WOKTools

# WOKTools_Define Class Reference

`#include <WOKTools_Define.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_Define ()
Standard_EXPORT | WOKTools_Define (const Handle(TCollection_HAsciiString)&aname, const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT void | GetDefineIn (const Handle(TCollection_HAsciiString)&aline)
Standard_EXPORT void | AddValue (const Handle(TCollection_HAsciiString)&aline)
Standard_EXPORT Standard_Boolean | IsValueValid (const Handle(TCollection_HAsciiString)&avalue) const
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT Handle_TCollection_HAsciiString | Value () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT void | SetValue (const Handle(TCollection_HAsciiString)&avalue)

## Private Attributes

Handle_TCollection_HAsciiString | myname
Handle_TCollection_HAsciiString | myvalue

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_Define::WOKTools_Define | ( |  | ) |

Standard_EXPORT WOKTools_Define::WOKTools_Define | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(TCollection_HAsciiString)& | avalue
| ) |

## Member Function Documentation

Standard_EXPORT void WOKTools_Define::AddValue | ( | const Handle(TCollection_HAsciiString)& | aline | ) |

Standard_EXPORT void WOKTools_Define::GetDefineIn | ( | const Handle(TCollection_HAsciiString)& | aline | ) |

Standard_EXPORT Standard_Boolean WOKTools_Define::IsValueValid | ( | const Handle(TCollection_HAsciiString)& | avalue | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_Define::Name | ( |  | ) | const

void WOKTools_Define::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKTools_Define::operator new | ( | size_t | size | ) | `[inline]`

void* WOKTools_Define::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void WOKTools_Define::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKTools_Define::SetValue | ( | const Handle(TCollection_HAsciiString)& | avalue | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_Define::Value | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKTools_Define::myname `[private]`

Handle_TCollection_HAsciiString WOKTools_Define::myvalue `[private]`

The documentation for this class was generated from the following file:

- WOKTools_Define.hxx